%define name	authd
%define	version	0.2.1	
%define release 13mdk
%define lib_name_orig	lib%{name} 
%define lib_major 0
%define lib_name %{lib_name_orig}%{lib_major}

Summary:	Software for obtaining and verifying user credentials 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://www.cs.berkeley.edu/~bnc/authd/
Source:		%{name}-%{version}.tar.bz2
Source1:	authd.init
Patch0:		authd-Makefile.in.patch.bz2	
Requires:	openssh-clients, openssh-server
Prereq: 	rpm-helper	
Provides:	%{name}-%{version}
Packager:       Antoine Ginies <aginies@mandrakesoft.com>
BuildRoot:	%{_tmppath}/%{name}-%{version}
Prefix:		%{_prefix}
buildrequires:  libe-devel >= 0.2, openssl

%package 	-n %{lib_name}-devel 
Summary:	Devel Package for authd 
Group:          Development/Other
Provides:       %{name}-devel-%{version}

%description
authd is a software package for obtaining and verifying user credentials 
which contain cryptographic signatures based on RSA public key cryptography. 
It includes a server (authd) for authenticating local users through UNIX 
domain sockets and processing credentials, and a client library (libauth.a) 
for requesting new credentials and verifying credentials signed by the server.

%description -n %{lib_name}-devel 
authd is a software package for obtaining and verifying user credentials
which contain cryptographic signatures based on RSA public key cryptography.
Provide file auth.h and libauth.a .

%prep
rm -rf ${buildroot}
%setup -q
%patch0 -p0 -b .patch

%build
%configure --prefix=%{buildroot} \
		--bindir==%{buildroot}%{_bindir} \
		--libdir=%{buildroot}%{_libdir} \
		--sbindir=%{buildroot}%{_sbindir} \
		--sysconfdir=%{buildroot}%{_sysconfdir}
%make

%install
myname=`id -un`
mygroup=`id -gn`
mkdir -p %{buildroot}%{_initrddir}
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_libdir}
%makeinstall INSTALL_USER=$myname INSTALL_GROUP=$mygroup
install -m 755 %{SOURCE1} %{buildroot}%{_initrddir}/authd

%clean
rm -fr %{buildroot}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root) 
%doc INSTALL ChangeLog
%{_initrddir}/authd
%{_sbindir}/authd

%files	-n %{lib_name}-devel	
%defattr(-,root,root)
%doc INSTALL ChangeLog
%{_includedir}/auth.h
%{_libdir}/libauth.a

%changelog
* Fri Jan 03 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.2.1-13mdk
- build for new glibc
- add requires
* Tue Aug 6 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.2.1-12mdk
- build with gcc 3.2
- adjust tftp directory in initscript
* Mon Jul 15 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.2.1-11mdk
- change authd to S14 in init
* Mon Jul 15 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.2.1-10mdk
- add /dev/null to generate the key in authd.init
* Thu Jul 11 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.2.1-9mdk
- correct syntax to generate key
* Thu Jul 11 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.2.1-8mdk
- Build on 8.2 with 2.96
- generate key on first reboot
* Thu Jul  4 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.2.1-7mdk
- can't fix this bug in install :-(
- setting openssl genrsa on /proc/kcore (sorry for highmem.....)
* Thu Jul  4 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.2.1-6mdk
- add a test of /dev/urandom to correct major bug in install
* Thu Jul  4 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.2.1-5mdk
- generate authd key with /dev/urandom
* Thu Jun 27 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.2.1-4mdk
- copy auth_pub.pem just into /tftpboot
* Thu Jun 20 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.2.1-3mdk
- copy auth_pub.pem to /tfpboot/PXEClient/ and /tfpboot/X86PC/
* Fri May 10 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.2.1-2mdk
- build gcc 3.1
* Fri May 10 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.2.1-1mdk
- new release
* Thu Apr 18 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.2.0-4mdk
- fixing some authd initscript
* Tue Apr 15 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.2.0-2mdk
- first release for Mandrakesoft
